# Class AppletMainTab

java.lang.Object
org.eclipse.debug.ui.AbstractLaunchConfigurationTab
org.eclipse.jdt.debug.ui.launchConfigurations.JavaLaunchTab
org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab
org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab
org.eclipse.jdt.debug.ui.launchConfigurations.AppletMainTab

All Implemented Interfaces:
  `org.eclipse.debug.core.IPrototypeAttributesLabelProvider, org.eclipse.debug.ui.ILaunchConfigurationTab, org.eclipse.debug.ui.ILaunchConfigurationTab2`

public class AppletMainTab extends org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab
This tab appears for Java applet launch configurations and allows the user to edit attributes such as the applet class to launch and its owning project, if any.

This class may be instantiated.

Since:
  2.1
Restriction:
  This class is not intended to be sub-classed by clients.

## Field Summary

### Fields inherited from class org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab

`fMainText`

### Fields inherited from class org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab

`EMPTY_STRING, fModuleName, fProjText`

## Constructor Summary

Constructors
Constructor
Description
`AppletMainTab()`

## Method Summary

Modifier and Type
Method
Description
`void`
`createControl(org.eclipse.swt.widgets.Composite parent)`
`String`
`getId()`
`org.eclipse.swt.graphics.Image`
`getImage()`
`String`
`getName()`
`protected void`
`handleSearchButtonSelected()`
Show a dialog that lists all main types
`void`
`initializeFrom(org.eclipse.debug.core.ILaunchConfiguration config)`
`boolean`
`isValid(org.eclipse.debug.core.ILaunchConfiguration launchConfig)`
`void`
`performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)`
`void`
`setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)`

### Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab

`createMainTypeEditor, createMainTypeExtensions, getModuleName, initializeAttributes, initializeMainTypeAndName, updateMainTypeFromConfig`

### Methods inherited from class org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab

`createProjectEditor, getDefaultListener, getJavaProject, getWorkspaceRoot, handleProjectButtonSelected, mapResources`

### Methods inherited from class JavaLaunchTab

`getContext, getCurrentLaunchConfiguration, initializeJavaProject`

### Methods inherited from class org.eclipse.debug.ui.AbstractLaunchConfigurationTab

`activated, canSave, createCheckButton, createPushButton, createRadioButton, createSeparator, createUpdateJob, createVerticalSpacer, deactivated, dispose, getAttributeLabel, getAttributesLabelsForPrototype, getControl, getErrorMessage, getHelpContextId, getLaunchConfigurationDialog, getLaunchManager, getMessage, getShell, getUpdateJobDelay, getWarningMessage, isDirty, launched, scheduleUpdateJob, setAttribute, setControl, setDirty, setErrorMessage, setHelpContextId, setLaunchConfigurationDialog, setMessage, setWarningMessage, updateLaunchConfigurationDialog`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.debug.ui.ILaunchConfigurationTab

`OkToLeaveTab, postApply`

## Constructor Details

### AppletMainTab

public AppletMainTab()

## Method Details

### createControl

public void createControl(org.eclipse.swt.widgets.Composite parent)

### getImage

public org.eclipse.swt.graphics.Image getImage()

Specified by:
  `getImage` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `getImage` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### getName

public String getName()

### handleSearchButtonSelected

protected void handleSearchButtonSelected()
Show a dialog that lists all main types

Specified by:
  `handleSearchButtonSelected` in class `org.eclipse.jdt.internal.debug.ui.launcher.SharedJavaMainTab`

### initializeFrom

public void initializeFrom(org.eclipse.debug.core.ILaunchConfiguration config)

Specified by:
  `initializeFrom` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `initializeFrom` in class `org.eclipse.jdt.internal.debug.ui.launcher.AbstractJavaMainTab`

### isValid

public boolean isValid(org.eclipse.debug.core.ILaunchConfiguration launchConfig)

Specified by:
  `isValid` in interface `org.eclipse.debug.ui.ILaunchConfigurationTab`
Overrides:
  `isValid` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`

### performApply

public void performApply(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)

### setDefaults

public void setDefaults(org.eclipse.debug.core.ILaunchConfigurationWorkingCopy config)

### getId

public String getId()

Overrides:
  `getId` in class `org.eclipse.debug.ui.AbstractLaunchConfigurationTab`
Since:
  3.3
See Also:
  - `AbstractLaunchConfigurationTab.getId()`